.h_top {
    padding: 13px 0;
}
/*---------------------- detail_top ----------------------*/
.detail_top {
    margin-top: 160px;
    padding-bottom: 50px;
    border-bottom: 1px solid var(--dark-line);
}
.detail_name {
    width: fit-content;
    padding: 8px 14px;
    border-radius: var(--radius);
    background-color: var(--primary);
    font-size: var(--ft14);
    font-weight: var(--semi-bold);
    color: var(--white);
}
.detail_title {
    margin-top: 24px;
    font-size: var(--ft36);
    font-weight: var(--semi-bold);
    opacity: 0;
    transform: translateY(10px);
    animation: title .6s ease forwards;
}
@keyframes title {
    to {
        opacity: 1;
        transform: translateY(0);
    }
}
.detail_flex {
    margin-top: 50px;
    display: flex;
    justify-content: space-between;
}
.detail_date {
    font-size: var(--ft16);
    color: var(--gray-600);
}
.url {
    font-size: var(--ft16);
    font-weight: var(--medium);
    color: var(--gray-400);
    cursor: pointer;
}
.url:hover {
    text-decoration: underline;
}

/*---------------------- detail_wrap ----------------------*/
.detail_wrap {
    margin-top: 60px;
}

/*-- bbs_list --*/
.bbs_list {
    margin-top: 120px;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 20px;
}
.bbs_list li {
    width: 100%;
    border-radius: var(--radius);
    background-color: var(--gray-200);
}
.bbs_list a {
    border: 1px solid rgba(0, 0, 0, 0);
    transition: border .4s ease;
    border-radius: var(--radius);
}
.bbs_list li a:hover {
    border-color: var(--black-200);
}
.bbs_list li a,
.bbs_list li.null {
    padding: 36px 24px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 36px;
}
.bbs_list li.next {
    justify-content: end;
}
.bbs_l {
    display: flex;
    align-items: center;
    gap: 12px;
    flex-shrink: 0;
}
.bbs_l img {
    width: 12px;
    height: 12px;
    opacity: .4;
}
.bbs_l p {
    font-size: var(--ft16);
    font-weight: var(--semi-bold);
    color: var(--gray-400);
}
.bbs_title {
    font-size: var(--ft18);
    font-weight: var(--semi-bold);
}
.null .bbs_title {
    color: var(--gray-400);
}

.list_btn {
    width: fit-content;
    border-radius: 40px;
    border: 1px solid var(--gray-600);
    margin: 60px auto 0;
    font-size: var(--ft16);
    font-weight: var(--medium);
    color: var(--gray-600);
    transition: all .4s ease;
}
.list_btn a {
    padding: 12px 28px;
}
.list_btn:hover {
    background-color: var(--gray-600);
    color: var(--white);
}

@media all and (max-width: 1400px) {
    .detail_title {
        font-size: var(--ft32);
    }
}

@media all and (max-width: 1200px) {
    .detail_top {
        margin-top: 130px;
        padding-bottom: 32px;
    }
    .detail_title {
        margin-top: 16px;
    }
    .detail_flex {
        margin-top: 40px;
    }
    
    .detail_wrap {
        margin-top: 40px;
    }
    .bbs_list li a, .bbs_list li.null {
        padding: 24px;
    }
}

@media all and (max-width: 768px) {
    .detail_top {
        margin-top: 100px;
        padding-bottom: 24px;
    }
    .detail_name {
        padding: 6px 12px;
        font-size: var(--ft12);
    }
    .detail_title {
        font-size: var(--ft24);
    }
    .detail_date {
        font-size: var(--ft14);
    }
    .url {
        font-size: var(--ft14);
    }

    .bbs_list {
        margin-top: 80px;
        grid-template-columns: repeat(1, 1fr);
        gap: 10px;
    }
    .bbs_list li a, .bbs_list li.null {
        padding: 20px;
        flex-direction: column;
        align-items: start;
        gap: 10px;
    }
    .bbs_l {
        gap: 8px;
    }
    .bbs_l p {
        font-size: var(--ft14);
    }
    .bbs_l img {
        width: 8px;
        height: 8px;
        transform: rotate(90deg);
    }
    .bbs_list li.next .bbs_title {
        order: 2;
    }
    .next .bbs_l p {
        order: 2;
    }
    .bbs_title {
        font-size: var(--ft16);
    }
    .list_btn {
        margin-top: 40px;
    }
}